> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Show diff between two versions of a model

> Returns the unified diff between two git commits for a specific dbt model.



## OpenAPI

````yaml /api-reference/catalog-api.json get /transformations/{name}/diff
openapi: 3.1.0
info:
  title: Strattum Catalog API
  description: Expõe a estrutura do data lake — camadas, conectores e tabelas.
  version: 0.1.0
servers: []
security: []
paths:
  /transformations/{name}/diff:
    get:
      tags:
        - transformations
      summary: Show diff between two versions of a model
      description: >-
        Returns the unified diff between two git commits for a specific dbt
        model.
      operationId: get_model_diff_transformations__name__diff_get
      parameters:
        - name: name
          in: path
          required: true
          schema:
            type: string
            title: Name
        - name: from
          in: query
          required: true
          schema:
            type: string
            title: From
        - name: to
          in: query
          required: false
          schema:
            type: string
            default: HEAD
            title: To
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelDiff'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ModelDiff:
      properties:
        model:
          type: string
          title: Model
        from:
          type: string
          title: From
        to:
          type: string
          title: To
        diff:
          type: string
          title: Diff
      type: object
      required:
        - model
        - from
        - to
        - diff
      title: ModelDiff
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````